#include "receiver.hpp"

#include <QDebug>

Receiver::Receiver(QObject *parent)
 : QObject(parent)
{
    udpSocket = new QUdpSocket(this);
    udpSocket->bind(5025, QUdpSocket::ShareAddress);

    connect(udpSocket, SIGNAL(readyRead()), this, SLOT(processPendingDatagrams()));
    qDebug() << "constructor";
}

void Receiver::processPendingDatagrams()
{
    qDebug() << "processPendingDatagrams() called";

    while(udpSocket->hasPendingDatagrams())
    {
        QByteArray datagram;
        datagram.resize(udpSocket->pendingDatagramSize());
        udpSocket->readDatagram(datagram.data(), datagram.size());

        qDebug() << "Received datagram: " << datagram.data();
    }
}
